/*
 * @(#)EzLicLimits.h    1.00   02/21/02
 *
 * Copyright (c) 2002-Present Agilis Software LLC, Santa Clara, CA, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Agilis Software LLC ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only
 * in accordance with the terms of the license agreement you entered
 * into with Agilis Software LLC.
 */


#ifndef __EZLICLIMITS_H
#define __EZLICLIMITS_H


/* 
 * This file contains limits for string buffers.  Use the appropriate 
 * limit for the appropriate buffer parameter that you specify to
 * receive a string value.
 */

/* Maximum length of a license key */
#define MAX_ENCRYPTED_LICENSE_TEXT_LENGTH	20000

/* Maximum length of custom key */
#define MAX_CUSTOM_KEY_LENGTH	5000

/* Maximum length of custom cookie */
#define MAX_CUSTOM_COOKIE_LENGTH	5000

/* Maximum length of user / host name */
#define MAX_USER_HOST_NET_NAME_LENGTH	500

/* Maximum length of product options string */
#define MAX_OPTIONS_LENGTH	5000

/* Maximum length of an expiration date string */
#define MAX_EXPIRE_DATE_STRING_LENGTH	50

/* Maximum length of an application password */
#define	MAX_APP_PWD_LENGTH	100

/* Maximum size of application state in key cookie */
#define MAX_APP_STATE_SIZE 20000

/* Maximum size of key cookie */
#define MAX_KEY_COOKIE_SIZE 21000

/* Maximum size of error status message */
#define MAX_STATUS_MSG_SIZE 200

/* Reserved for future use */
#define	MAX_CHAIN_KEY_ID_LENGTH	100

/* Maximum version information string size */
#define MAX_VERSION_INFO_LENGTH 100


#endif

